{{
For a quick start, try a 10K in series with the NMEA+ to the prop pin.
Since you have a common ground, this should not be required.
Now, just run two FullDuplexSerial objects (sorry I havent used PST on the prop end.
I have not checked this code, but it is the basics to just test that you are seeing the data.
Once you see it, then you can go from there.
There is not rxbyte in the serial object, but rx, so it probably should be
fdx.tx(nema.rx)
I like the variable resistor approach, just be careful not to zero the value (I'm an expert in this field)...
Pins 30 and 31 are used for the connection to the PC. 29 and 28 have the eeprom connected. Use a lower number (any other pin is ok).
So one full duplex serial (fdx) is used to send data to the PC, and uses the hard wired connection to pins 30 and 31. You'll get data back via your USB cable.
After loading the program to RAM launch the terminal (or enable it if already running).
Note that the terminal disables when not active. 
Set port and baud rate and you are ready.
You should get data from the prop at this point.
Just to be sure it works you have a delay before fdx.tx(0), as an alternative I wait for a key entry.
I usually add a line like that
fdx.rx
at this point the prop waits a keypress.
You then should be able to see the welcome string and be sure the serial connection to the PC is working.
Massimo 
So your interesting mode bit is the one driving the receiving part.
You can set mode to 0 or 1. If the mode is right you only get bursts of data, and noting in the middle.
If the mode is wrong you get a lot of useless data because the the idle level is mistakenly interpreted as data (in fact the repeating symbol you get is corresponding to decimal value 128 - binary 1000_0000, if you check the propeller char table).
Garbage bursts mean wrong baud rate.... i searched the internet for a value but with no success. Try to use other values, even higher, maybe...
Remember also to set the correct baud rate on the prop terminal, otherwise the garbage is terminal side. If you run Cluso's example it is set to 115200.

If you start the terminal fast enough you should see the "welcome" string..just to verify the terminal works, and the settings are right...
increase the waitcnt value (10 in place of 5? this is a seconds delay), and add another waitcnt after the welcome string to have time to see it..

You can change the terminal rate changing the baud constant (now 115200), you can try with 57600.

Tacktick side at this point it should be 4800...
You are supposed to get $all the time.

F10 (Run, Compile, Load RAM)
F11 (Run, Compile, Load EEPROM)
}}
CON
  rxPin  = 31                   'serial 
  txPin  = 30                   'serial 
  baud   = 110000
OBJ
  fdx    : "FullDuplexSerial"                        'for debugging
  nema   : "FullDuplexSerial"                        'for tacktick
PUB Main
  waitcnt(clkfreq*5 + cnt)                           'delay (5 secs) to get terminal program running (if required)
                                                     'fdx.start(rxPin,txPin,0,baud)
                                                     'start serial driver to PC
  fdx.start(rxPin,txPin,0,baud)                      'start serial driver to PC
  fdx.tx(0)                                          'cls
                                                     'Roept PUB tx aan in FDX: tx(port,txbyte)
                                                     'Send byte (may wait for room in buffer)
  fdx.str(string("Just a start message",13))         '13 is ascii for carriage return (end of line)

  nema.start(7,26,3,4700)                           'start serial driver from nema (connect via 10K to P27)
                                                     'if the above does not see the data using the nema.rx etc,
                                                     'try changing the 0 to use inverted logic - see the source
                                                     'for correct parameter values)

  repeat
     fdx.tx(nema.rx)                                'echo to the pc every character read